Subject: bug#5585: 23.1.91; mark text in c++ mode is painfully slow

From: Chong Yidong <[email-masked]>
Date: Thu, 18 Feb 2010 04:04:28 -0500

> I opened a file with about 3500 lines in c++ mode and started from the
> top marking the text with ctrl - space and then pressed arrow down or
> ctrl n to mark about 200 lines. The cursor pause after a few lines and
> hangs for some seconds with almost 100% cpu activity. This behavior
> did not appear in 20 and 22. I normally work in 23.1.1 but downloaded
> the latest beta to see if anything had been corrected. Not sure if
> this depends on the amount of code or if the support for Unicode made
> things slower, but since it worked fine on 22 something else might
> have changed. It might be by local setup as well.

Thanks for the bug report, but this is impossible to fix unless you
provide a precise, step-by-step recipe, ideally starting from
`emacs -Q'.